<?php

namespace App\Classes\Modules\Affiliate\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class AffiliateSettingsObject implements DataTransferObject
{
    /** @var int */
    private $codeBindingDays;

    /**
     * AffiliateSettingsObject constructor.
     * @param int $codeBindingDays
     */
    public function __construct(int $codeBindingDays)
    {
        $this->codeBindingDays = $codeBindingDays;
    }

    /**
     * @return int
     */
    public function getCodeBindingDays(): int
    {
        return $this->codeBindingDays;
    }
}

